package agentw

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/agentwcfg"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/agent2kas_tunnel/agent"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentw"
)

type Factory struct {
	agent.Factory
}

func (f *Factory) New(config *modagentw.Config) (modagentw.Module, error) {
	return &agent.Module[*agentwcfg.AgentConfiguration]{
		ConnManager: f.GetConnectionManager(config.Log, config.KASConn, config.APIServer),
	}, nil
}
